# BlockShearEntityEvent (Scissors-API 1.17.1-R0.1-SNAPSHOT API)
declaration: package: org.bukkit.event.block, class: BlockShearEntityEvent

Package org.bukkit.event.block

# Class BlockShearEntityEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.block.BlockEvent
org.bukkit.event.block.BlockShearEntityEvent

All Implemented Interfaces:
  `Cancellable`

public class BlockShearEntityEvent extends BlockEvent implements Cancellable
Event fired when a dispenser shears a nearby sheep.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.block.BlockEvent

`block`

## Constructor Summary

Constructors
Constructor
Description
`BlockShearEntityEvent(@NotNull Block dispenser, @NotNull Entity sheared, @NotNull ItemStack tool)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull Entity`
`getEntity()`
Gets the entity that was sheared.
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`@NotNull ItemStack`
`getTool()`
Gets the item used to shear this sheep.
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`void`
`setCancelled(boolean cancelled)`
Sets the cancellation state of this event.

### Methods inherited from class org.bukkit.event.block.BlockEvent

`getBlock`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BlockShearEntityEvent

public BlockShearEntityEvent(@NotNull @NotNull Block dispenser, @NotNull @NotNull Entity sheared, @NotNull @NotNull ItemStack tool)

## Method Details

### getEntity

@NotNull public @NotNull Entity getEntity()
Gets the entity that was sheared.

Returns:
  the entity that was sheared.

### getTool

@NotNull public @NotNull ItemStack getTool()
Gets the item used to shear this sheep.

Returns:
  the item used to shear this sheep.

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancelled)
Description copied from interface: `Cancellable`
Sets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins.

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancelled` - true if you wish to cancel this event

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()